#
# spec file for package python-pyx (Version 0.9)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd latex-ucs less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libpng libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils python python-devel rcs readline rpm sed sqlite strace sysvinit tar tcpd te_ams te_kpath te_latex tetex texinfo timezone unzip util-linux vim xorg-x11-libICE xorg-x11-libSM xorg-x11-libX11 xorg-x11-libXau xorg-x11-libXdmcp xorg-x11-libXext xorg-x11-libXmu xorg-x11-libXp xorg-x11-libXpm xorg-x11-libXt zlib zlib-devel

Name:           python-pyx
BuildRequires:  python-devel te_ams te_kpath te_latex
Summary:        Python graphics package
Version:        0.9
Release:        17
Source0:        PyX-%{version}.tar.bz2
Patch:          python-pyx-no_root-0.8.1.patch
Patch1:         PyX-0.9-pyxrcdir.patch
License:        GPL v2 or later
Group:          Development/Libraries/Python
Url:            http://pyx.sourceforge.net/
AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%py_requires

%description
Python package for the creation of encapsulated PostScript figures. It
provides both an abstraction of PostScript and a TeX/LaTeX interface.
Complex tasks like 2d and 3d plots in publication-ready quality are
built out of these primitives.



Authors:
--------
    Jrg Lehmann <joergl@users.sourceforge.net>
    Andr Wobst <wobsta@users.sourceforge.net>

%debug_package
%prep
%setup -q -n PyX-%{version}
%patch
%patch1

%build
export CFLAGS="$RPM_OPT_FLAGS" 
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES
sed -i '/^\/etc/ D' INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES 
%defattr(-,root,root)
%doc AUTHORS CHANGES LICENSE README contrib examples manual
%config /etc/pyxrc
%changelog
* Mon Sep 03 2007 - jmatejek@suse.cz
- fixed broken config file (#305304, SWAMP 12942)
* Thu Oct 19 2006 - jmatejek@suse.cz
- update to 0.9
- new set of deformers
- many new examples
- module for handling Type1 fonts
- support for transparency in PDF output
* Tue Feb 28 2006 - jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 19 2005 - matejcik@suse.cz
- update to 0.8.1
- fixed no-root patch for new version
* Wed Mar 16 2005 - mcihar@suse.cz
- mark config file as config
* Thu Feb 10 2005 - mcihar@suse.cz
- update to 0.7.1
* Wed Aug 04 2004 - mcihar@suse.cz
- update to 0.6.3
- use %%py_requires
* Fri Jan 30 2004 - mcihar@suse.cz
- update to 0.5.1
* Thu Oct 30 2003 - mcihar@suse.cz
- updated to 0.4.1
- no root for build
* Mon Jun 16 2003 - mcihar@suse.cz
- use record-rpm
* Mon May 12 2003 - mcihar@suse.cz
- use versioned dependency on python
* Tue May 06 2003 - mcihar@suse.cz
- initial version
